Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.jaxb.pom.generated
Class ReportPlugin

    java.lang.Object
      org.owasp.dependencycheck.jaxb.pom.generated.ReportPlugin

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public class ReportPlugin

extends Object

4.0.0

Java class for ReportPlugin complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ReportPlugin">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <all>
             <element name="groupId" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="artifactId" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="version" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="inherited" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="configuration" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <any processContents='skip' maxOccurs="unbounded" minOccurs="0"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="reportSets" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="reportSet" type="{http://maven.apache.org/POM/4.0.0}ReportSet" maxOccurs="unbounded" minOccurs="0"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
           </all>
         </restriction>
       </complexContent>
     </complexType>

Nested Class Summary
`static class` | `ReportPlugin.Configuration` Java class for anonymous complex type.
`static class` | `ReportPlugin.ReportSets` Java class for anonymous complex type.

Field Summary
`protected String` | `artifactId`
`protected ReportPlugin.Configuration` | `configuration`
`protected String` | `groupId`
`protected String` | `inherited`
`protected ReportPlugin.ReportSets` | `reportSets`
`protected String` | `version`

Constructor Summary
`ReportPlugin()`

Method Summary
`String` | `getArtifactId()` Gets the value of the artifactId property.
`ReportPlugin.Configuration` | `getConfiguration()` Gets the value of the configuration property.
`String` | `getGroupId()` Gets the value of the groupId property.
`String` | `getInherited()` Gets the value of the inherited property.
`ReportPlugin.ReportSets` | `getReportSets()` Gets the value of the reportSets property.
`String` | `getVersion()` Gets the value of the version property.
`void` | `setArtifactId(String value)` Sets the value of the artifactId property.
`void` | `setConfiguration(ReportPlugin.Configuration value)` Sets the value of the configuration property.
`void` | `setGroupId(String value)` Sets the value of the groupId property.
`void` | `setInherited(String value)` Sets the value of the inherited property.
`void` | `setReportSets(ReportPlugin.ReportSets value)` Sets the value of the reportSets property.
`void` | `setVersion(String value)` Sets the value of the version property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### groupId

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String groupId

### artifactId

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String artifactId

### version

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String version

### inherited

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String inherited

### configuration

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected ReportPlugin.Configuration configuration

### reportSets

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected ReportPlugin.ReportSets reportSets

Constructor Detail

### ReportPlugin

    public ReportPlugin()

Method Detail

### getGroupId

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getGroupId()

  Gets the value of the groupId property.

  Returns:
    possible object is `String`

### setGroupId

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setGroupId(String value)

  Sets the value of the groupId property.

  Parameters:
    `value` - allowed object is `String`

### getArtifactId

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getArtifactId()

  Gets the value of the artifactId property.

  Returns:
    possible object is `String`

### setArtifactId

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setArtifactId(String value)

  Sets the value of the artifactId property.

  Parameters:
    `value` - allowed object is `String`

### getVersion

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getVersion()

  Gets the value of the version property.

  Returns:
    possible object is `String`

### setVersion

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setVersion(String value)

  Sets the value of the version property.

  Parameters:
    `value` - allowed object is `String`

### getInherited

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getInherited()

  Gets the value of the inherited property.

  Returns:
    possible object is `String`

### setInherited

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setInherited(String value)

  Sets the value of the inherited property.

  Parameters:
    `value` - allowed object is `String`

### getConfiguration

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public ReportPlugin.Configuration getConfiguration()

  Gets the value of the configuration property.

  Returns:
    possible object is `ReportPlugin.Configuration`

### setConfiguration

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setConfiguration(ReportPlugin.Configuration value)

  Sets the value of the configuration property.

  Parameters:
    `value` - allowed object is `ReportPlugin.Configuration`

### getReportSets

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public ReportPlugin.ReportSets getReportSets()

  Gets the value of the reportSets property.

  Returns:
    possible object is `ReportPlugin.ReportSets`

### setReportSets

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setReportSets(ReportPlugin.ReportSets value)

  Sets the value of the reportSets property.

  Parameters:
    `value` - allowed object is `ReportPlugin.ReportSets`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.